package role_admin

import (
	"net/http"

	"git.noahlan.cn/noahlan/ntool-biz/zero/statusz"
	"github.com/zeromicro/go-zero/rest/httpx"

	"git.noahlan.cn/n-admin/n-admin-server/api/internal/logic/role_admin"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/svc"
	"git.noahlan.cn/n-admin/n-admin-server/api/internal/types"
)

// swagger:route get /api/admin/role role_admin GetRoleAdmin
//
// Get Role | 根据条件获取角色
//
// Get Role | 根据条件获取角色
//
// Responses:
//  200: RoleInfo

func GetRoleAdminHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		const transErr = true
		var req types.RoleReq
		if err := httpx.Parse(r, &req); err != nil {
			statusz.ResponseHandler(r, w, transErr, nil, err)
			return
		}

		l := role_admin.NewGetRoleAdminLogic(r, r.Context(), svcCtx)
		resp, err := l.GetRoleAdmin(&req)

		statusz.ResponseHandler(r, w, transErr, resp, err)

	}
}
